Download it now!
Bug 116482 - CRASH on Drawing (assertion failure at vcl/source/app/scheduler.cxx:597)
Summary: CRASH on Drawing (assertion failure at vcl/source/app/scheduler.cxx:597)
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: LibreOffice (show other bugs)
Version:
(earliest affected)
6.1.0.0.alpha0+
Hardware: All All
: highest critical
Assignee: Not Assigned
URL:
Whiteboard: target:6.1.0
Keywords: bibisected, bisected, haveBacktrace, regression
Depends on:
Blocks: VCL-Scheduler Assert
  Show dependency treegraph
 
Reported: 2018-03-19 01:11 UTC by himajin100000
Modified: 2018-09-03 09:28 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
gdb backtrace (14.30 KB, text/plain)
2018-03-20 12:54 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description himajin100000 2018-03-19 01:11:29 UTC
Description:
see steps to reproduce

Steps to Reproduce:
1. Run Writer.
2. Make sure that you have "Drawing" Toolbar enabled. if not, follow View->Toolbars->Drawing in the main menu
3. Select "Rectangle" and try to draw a rectangle
4. assertion error
5. Libreoffice automatically restart. Title has "Remote" like Untilted 1(Remote)
6. Repeat Step 3.


Actual Results:  
On "STEP 3":

Assertion failed!

Program: C:\build\instdir\program\vcllo.dll
File: C:/sources/libo-core/vcl/source/app/scheduler.cxx
Line: 597

Expression: nullptr == mpSchedulerData || utl::ConfigManager::IsFuzzing()

but On "STEP 6":
No assertion error.

Expected Results:
No assertion error on STEP 3


Reproducible: Always


User Profile Reset: No



Additional Info:
I did my manual bibisection with official nightly build available at
https://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/

turned out to be

good with 
libo-master64~2018-03-14_01.42.36

and 

bad with 
libo-master64~2018-03-15_00.49.26

so something between these builds may be the cause.
--
I don't think I can fix this by myself,so I'm not going to submit a patch this time.


User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:61.0) Gecko/20100101 Firefox/61.0
Comment 1 himajin100000 2018-03-19 01:18:49 UTC
Oops, sorry. it was WRONG REPORT.

CORRECTION:

Actual Result
On official nightly build, it just crashes.(no assertion error)
but doing same thing with my own local build, it crashed with assertion error.

Expected Result
No crash.
Comment 2 Aron Budea 2018-03-19 04:03:26 UTC
Right, you're only supposed to hit assertion failures in debug builds.

No assertion failure or crash for me in a recent 6.1 master build (e08e6516a01f28f2dd2581e3326be6d6b6eddb55, from 03-18) / Windows 7.
Comment 3 himajin100000 2018-03-19 05:05:09 UTC
hmmm,it now seems non-reproducible with Rectangle, but still reproducible with Square. weird
Comment 4 Xisco Faulí 2018-03-19 12:36:13 UTC
Regression introduced by:

author	Mohammed Abdul Azeem <azeemmysore@gmail.com>	2017-10-01 14:11:11 +0530
committer	Michael Meeks <michael.meeks@collabora.com>	2018-03-14 14:12:08 +0100
commit	bf46b46a1d734348096936284fb8a76e977936d0 (patch)
tree	a76c30897cf1e49491bf26580c823701b6d74778
parent	1b61d0417bf46896ef1f1bd1e1a8209588fc157a (diff)
Moving XSAXDocumentBuilder2 to use XFastDocumentHandler:
This is used in parsing of meta Contexts across different
modules. This also involved moving to XFastParser for
parsing xml filters in sw, sd, starmath.

Bisected with: bibisect-linux64-6.1

Adding Cc: to Mohammed Abdul Azeem
Comment 5 Michael Meeks 2018-03-20 12:11:59 UTC
Can we get a stack trace with symbols ?
Comment 6 Xisco Faulí 2018-03-20 12:54:06 UTC
Created attachment 140742 [details]
gdb backtrace
Comment 7 Commit Notification 2018-03-20 21:29:36 UTC
Mohammed Abdul Azeem committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2dadf90aa7bb03d895abc05ec93ca116eb9bacbd

tdf#116482: Fix for Crash on drawing

It will be available in 6.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 8 himajin100000 2018-03-21 07:45:13 UTC
non-reproducible with 

Version: 6.1.0.0.alpha0+ (x64)
Build ID: 13ab649bfc560c4969faaeee018f15ca382883f8
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (ja_JP); Calc: CL

marking as RESOLVED FIXED
Comment 9 Xisco Faulí 2018-03-21 10:19:37 UTC
Verified in

Version: 6.1.0.0.alpha0+
Build ID: 234d0368c823eb1a74e973e051ac522e6b86e833
CPU threads: 4; OS: Linux 4.13; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); Calc: group